#!python2
#coding: utf-8

# Ver.0.2 2018.11.10

from time import sleep
import socket
import urllib2
import clipboard
import notification

FLASHAIR_IP = "192.168.0.1"
WAIT_LIMIT = 120
FILE_NAME = "0CLIP.TXT"

# ------

def mes(m, success=False):
	print(m)
	url = "http://%s/%s" % (FLASHAIR_IP, FILE_NAME)
	if (success):
		notification.schedule(m, 0, "default", url)
	else:
		notification.schedule(m, 0, "default")

def is_flashair_online():
    try:
        socket.setdefaulttimeout(1)
        req = urllib2.Request("http://%s" % FLASHAIR_IP)
        response = urllib2.urlopen(req)
        return True
    except IOError:
        return False

def pomera_get():
    try:
        url = "http://%s/%s" % (FLASHAIR_IP, FILE_NAME)
        r = urllib2.urlopen(url)
        clipboard.set(r.read().decode("shift_jis").replace("\r\n", "\r"))
        mes("pomera_get done.", True)
    except IOError:
    	mes("pomera_get failed.")

def main():
    print("バックグラウンドに回してもOK")
    for i in range(WAIT_LIMIT):
        if (is_flashair_online()):
            try:
                pomera_get()
                exit()
            except IOError:
            	mes("pomera_get failed. retry.")
        else:
            f = "wait %03d/%03d" % (i, WAIT_LIMIT)
            print(f)
        sleep(1)
    mes("connect failed.")

main()
