#!python2
#coding: utf-8

# Ver.0.2 2018.11.10

from time import sleep
import os
import socket
import urllib2
import requests
import clipboard
import notification

FLASHAIR_IP = "192.168.0.1"
WAIT_LIMIT = 120
DIR = "FlashAir"
FILE_NAME = "0CLIP.TXT"

# ------

FPATH = "%s/%s" % (DIR, FILE_NAME)

def save_text():
    t = clipboard.get().encode("shift-jis").replace("\r", "\r\n")
    f = open(FPATH, "w")
    f.writelines(t)
    f.close()

def init():
    if not os.path.exists(DIR):
        os.mkdir(DIR)
    save_text()

def mes(m):
	print(m)

def mes(m):
	print(m)
	url = "http://%s/%s" % (FLASHAIR_IP, FILE_NAME)
	notification.schedule(m, 0, "default")
        
def is_flashair_online():
    try:
        socket.setdefaulttimeout(1)
        req = urllib2.Request("http://%s" % FLASHAIR_IP)
        response = urllib2.urlopen(req)
        return True
    except IOError:
        return False
    
def pomera_put():
    try:
        url = "http://%s/upload.cgi" % FLASHAIR_IP
        payload = {'UPDIR':'/'}
        r = requests.get(url, params=payload)
        r.raise_for_status()
        files = {'file':(FILE_NAME, open(FPATH,'rb'))}
        r = requests.post(url, files=files)
        r.raise_for_status()
        mes("pomera_put done.")
    except IOError:
        mes("pomera_put failed.")
    
def main():
    init()
    print("バックグラウンドに回してもOK")
    for i in range(WAIT_LIMIT):
        if (is_flashair_online()):
            try:
                pomera_put()
                exit()
            except IOError:
                mes("pomera_put failed. retry.")
        else:
            f = "wait %03d/%03d" % (i, WAIT_LIMIT)
            print(f)
        sleep(1)
    mes("connect failed.")

main()
